Bug 213945 - www/node7: Add Node.js v7.1.0, copied from www/node
Summary: www/node7: Add Node.js v7.1.0, copied from www/node
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL: https://nodejs.org/en/blog/release/v7...
Keywords:
Depends on: 213693
Blocks: 213947 213948
  Show dependency treegraph
 
Reported: 2016-10-31 12:37 UTC by Bradley T. Hughes
Modified: 2016-11-22 09:20 UTC (History)
2 users (show)

See Also:


Attachments
node7-7.0.0 (9.75 KB, patch)
2016-10-31 12:37 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
www/node7, updated (9.75 KB, patch)
2016-11-01 21:07 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff
www/node7: Add node.js v7.1.0 (10.33 KB, patch)
2016-11-10 21:54 UTC, Bradley T. Hughes
bhughes: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-10-31 12:37:48 UTC
Created attachment 176336 [details]
node7-7.0.0

Copy from www/node and adapt for the latest major version. Remove all
existing patches from files/ to give this port a fresh start.
Comment 1 Bradley T. Hughes freebsd_committer 2016-11-01 21:07:25 UTC
Created attachment 176400 [details]
www/node7, updated

portlint: OK (-AC, spurious warning about possible use of "python")
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, BUNDLED_SSL)
Comment 2 Bradley T. Hughes freebsd_committer 2016-11-10 21:54:39 UTC
Created attachment 176877 [details]
www/node7: Add node.js v7.1.0

Copy from www/node and adapt for the latest major version. Remove all
existing patches from files/ to give this port a fresh start.
    
Update CONFLICTS_INSTALL on all www/node* ports.
Comment 3 Bradley T. Hughes freebsd_committer 2016-11-10 21:55:03 UTC
portlint: OK (-AC, spurious warning about possible direct use of "python")
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, BUNDLED_SSL)
Comment 4 Kurt Jaeger freebsd_committer 2016-11-19 12:26:59 UTC
The file duplication effect re-occurs here, too.

I did:

svn copy node node7
fetch -o pp https://bugs.freebsd.org/bugzilla/attachment.cgi?id=176877

Then I put the files for node7 into file ppp and:

cd node7
patch < ppp

this caused the duplication -- but why ?
Comment 5 Kurt Jaeger freebsd_committer 2016-11-19 12:35:13 UTC
Testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2016-11-19 13:04:46 UTC
You write:

Remove all existing patches from files/ to give this port a fresh start.

But if I svn copy from www/node, and apply your patch, those files/* are
still there.

Now my question: should files/ be removed completely or not ?

It builds only if I remove files/patch-deps_v8_src_profiler_sampler.cc, 
but the other patches are still applying...
Comment 7 Bradley T. Hughes freebsd_committer 2016-11-19 15:01:22 UTC
Copying the directory and then applying the patch might cause that. The attached patch creates all the files needed in www/node7 without needing a copy first.
Comment 8 Bradley T. Hughes freebsd_committer 2016-11-19 15:02:38 UTC
And yes, there should be nothing in files/. Thanks again for the help, Kurt :)
Comment 9 Kurt Jaeger freebsd_committer 2016-11-19 15:32:23 UTC
Committed, thanks!
Comment 10 Kurt Jaeger freebsd_committer 2016-11-19 15:33:00 UTC
Ups, too early...
Comment 11 commit-hook freebsd_committer 2016-11-19 22:03:56 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 19 22:03:40 UTC 2016
New revision: 426540
URL: https://svnweb.freebsd.org/changeset/ports/426540

Log:
  www/node7: Add Node.js 7.1.0, copied from www/node

  PR:		213945
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Changes:
  head/www/Makefile
  head/www/node/Makefile
  head/www/node012/Makefile
  head/www/node4/Makefile
  head/www/node6/Makefile
  head/www/node7/
  head/www/node7/Makefile
  head/www/node7/distinfo
  head/www/node7/files/
  head/www/node7/pkg-descr
  head/www/node7/pkg-plist
Comment 12 Kurt Jaeger freebsd_committer 2016-11-19 22:04:14 UTC
Committed, thanks!
Comment 13 Bradley T. Hughes freebsd_committer 2016-11-22 09:20:43 UTC
Thanks! :)